/*=============================================================================
	Include header
include.h
	Includes standard libraries, defines symbols, and prototypes functions.
=============================================================================*/

#ifndef INCLUDE_H
#define INCLUDE_H

#include <windows.h>
#include <GL/gl.h>
#include <GL/glu.h>
//#include <GL/glext.h>
//#include <GL/wglext.h>
#include <stdio.h> // only used for sscanf

//defines
#define WIN32_EXTRA_LEAN

#define UWM_IDLE	WM_APP + 1		// May cause conflicts on rare occasions
#define TIMER_TICK	1


#define NEAR_PLANE	3.0f
#define FAR_PLANE	7.0f
#define MAXOBJECTSIZE	3.0f
#define RADIUS		-4.5f			// -(NEAR_PLANE + MAXOBJECTSIZE / 2.0f)
#define TWIST		0.0f

#define LATINC		1.0f
#define LONGINC		0.5f

#define BLACK_INDEX	0
#define RED_INDEX	13
#define GREEN_INDEX	14
#define BLUE_INDEX	16

#define GLOBE		1
#define CYLINDER	2
#define CONE		3

#endif